Subject: Re: [PATCH 1/2] t0003: do not chdir the whole test process

From: Jonathan Nieder <[email-masked]>
Date: Thu, 6 Feb 2014 11:45:21 -0800

Junio C Hamano wrote:

> Moving to some other directory and letting the remainder of the test
> pieces to expect that they start there is a bad practice.

I agree with the above, and I like the patch...

>                                                            The test
> that contains chdir itself may fail (or by mistake skipped via the
> GIT_SKIP_TESTS mechanism) in which case the remainder may operate on
> files in unexpected places.

... but this logic seems wrong.  I don't think we've ever supported
setup tests failing or being skipped in the past.

Thanks,
Jonathan